اپلیکیشن‌های قدیمی اندرویدی شاید روی اندروید P کار نکنند

گوگل به‌تازگی نسخه جدید پیش‌نمایش اندروید P را منتشر کرده است. حالا توسعه‌دهندگان در این نسخه نشانه‌هایی یافته‌اند که شاید خبر از پایان پشتیبانی اندروید از اپلیکیشن‌های قدیمی باشد که برای نسخه ۴.۱ یا قدیمی‌تر نوشته شده‌اند.

0

سازندگان اپلیکیشن‌های اندروید به تازگی سطح جدیدی در نسخه آزمایشی اندروید P مخصوص توسعه‌دهندگان پیدا کرده‌اند که محدودیت‌هایی برای حداقل نسخه رابط برنامه‌نویسی قائل می‌شود. در صورتی که اپلیکیشنی با این کلاس جدید همخوانی نداشته باشد، سیستم عامل پیغام اخطاری با مضمون زیر به نمایش درمی‌آورد:

این اپلیکیشن برای نسخه قدیمی‌تری از اندروید توسعه یافته است و امکان دارد به درستی کار نکند. اپ را بروزرسانی کنید و یا با سازنده آن تماس بگیرید.

حداقل نسخه رابط برنامه‌نویسی مورد نیاز برای اندروید پی در حال حاضر 17 بوده که در واقع اندروید 4.2 آبنبات پاستیلی (Jelly Bean) است. هنوز مشخص نیست که آیا نسخه نهایی اندروید P به همین شیوه یک پیغام اخطار می‌دهد یا کلا هیچ واکنشی به اجرای اپلیکیشن دارد یا خیر. هم اکنون گوگل اقداماتی برای اجرای این امر ضروری انجام داده است و اپلیکیشن‌های جدید پلی استور را وادار به رعایت حداقل نسخه رابط کاربری برنامه‌نویسی کرده است. بنابراین روش، هر کدام از اپلیکیشن‌های جدیدالورود پلی استور باید از جدیدترین نسخه‌های اندروید پشتیبانی کنند و هر اپلیکیشن قدیمی که بروزرسانی نمی‌شود، حذف خواهد شد.

اپل هم چنین اقدام مشابهی را با حذف اپلیکیشن‌های قدیمی انجام داده است و اگر سعی کنید با استفاده از امکانات iCloud، از اپ‌های قدیمی اپ استور استفاده کنید، با یک پیغام اخطاری روبه‌رو می‌شوید یا اپلیکیشن اصلا اجرا نمی‌شود. برای روشن شدن کامل ماجرای اندروید پی باید تا زمان انتشار رسمی آن صبر کنیم.

منبع GSMArena
شاید بخوای اینا رو هم بخونی:

نوشتن دیدگاه

آدرس ایمیل شما منتشر نخواهد شد.

دیدگاه شما پس از بررسی توسط تحریریه منتشر خواهد شد. در صورتی که در بخش نظرات سوالی پرسیده‌اید اگر ما دانش کافی از پاسخ آن داشتیم حتماً پاسخگوی شما خواهیم بود در غیر این صورت تنها به امید دریافت پاسخ مناسب از دیگران آن را منتشر خواهیم کرد.

پیشنهاد سردبیر